package com.caimei365.user.model.po;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/11/3
 */
@Data
public class CouponSharePo implements Serializable {
    private Integer id;
    /**
     * 分享者用户id
     */
    private Integer shareUserId;
    /**
     * 被分享者用户id
     */
    private Integer receiveUserId;
    /**
     * 分享得到的好友分享券id，以，隔开
     */
    private String shareCouponIds;
    /**
     * 被分享者是否已消费，0未消费，1已消费
     */
    private Integer consumeFlag;
    /**
     * 分享对象消费后得到的好友消费券id
     */
    private String consumeCouponIds;
}
