package com.caimei365.user.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/4/15
 */
@ApiModel("修改密码")
@Data
public class PasswordDto implements Serializable {
    /**
     * 手机号或邮箱
     */
    @NotNull
    @ApiModelProperty("手机号或邮箱")
    private String mobileOrEmail;
    /**
     * 密码
     */
    @NotNull
    @ApiModelProperty("密码")
    private String password;
    /**
     * 用户确认密码
     */
    @NotNull
    @ApiModelProperty("用户确认密码(旧：confirmPwd)")
    private String passwordConfirm;
    /**
     * 短信验证码
     */
    @NotNull
    @ApiModelProperty("短信验证码(旧：activationCode)")
    private String smsCode;
    /**
     * 1:手机号找回,2:邮箱找回
     */
    @ApiModelProperty("1:手机号找回,2:邮箱找回")
    private Integer status;

}
