package com.caimei365.user.model.dto;

import com.caimei365.user.model.po.SuperVipPo;
import com.caimei365.user.model.po.VipPayHistoryPo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zzj
 * 超级会员
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SuperVipDto extends VipPayHistoryPo implements Serializable {


    @ApiModelProperty("用户Id")
    private Integer userId;
    /**
     * 购买套餐id，1套餐12个月，2套餐3个月，3套餐1个月
     */
    @ApiModelProperty("购买套餐id")
    private Integer userPackage;

    @ApiModelProperty("套餐到期时间")
    private Date endTime;

    @ApiModelProperty("过期套餐标记，0未买过，-1过期，1有效/无过期时间接口0不是会员，1是")
    private Integer vipFlag;

    @ApiModelProperty("前端展示时间")
    private String time;
}
