package com.caimei365.user.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/6/8
 */
@Data
public class BeansHistoryVo implements Serializable {
    /**
     * 采美豆类型：1注册机构，2升级会员机构，3普通机构完善资料，4会员机构完善资料，5下单，
     * 6线上支付订单，7确认收货，8系统发放，9抵用退回，10抵用运费，11退款回收
     */
    private Integer beansType;

    /**
     * 采美豆数量
     */
    private Integer num;

    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addTime;

    /**
     * 收支类型：1收入，2支出
     */
    private Integer type;
}
