package com.caimei365.user.model.vo;

import com.caimei365.user.model.po.RemarksFilePo;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/9/26
 */
@Data
public class RemarksVo implements Serializable {
    /**
     * 备注id
     */
    private Integer remarksId;
    /**
     * 文字备注
     */
    private String remarks;
    /**
     * 添加时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date addTime;

    /**
     * 图片列表
     */
    private List<String> imageList;

    /**
     * 文件列表
     */
    private List<RemarksFileVo> fileList;
}
